public class nokta3
{
    protected double x, y, z;

    //kurucu metodlar
    public nokta3()
    {
        nokta3gir(0,0,0);
    }

    public nokta3(double a, double b,double c)
    {
        nokta3gir(a,b,c);
    }

    public nokta3(nokta3 n)
    {
        nokta3gir(n.Xoku(),n.Yoku(),n.Zoku());
    }

    // giri cks metodlar
    public void nokta3gir(double a, double b,double c)
    {
        x = a;
        y = b;
        z = c;
    }

    public void nokta3gir(nokta3 in1)
    {
        x = in1.x;
        y = in1.y;
        z = in1.z;
    }

    public void Xgir(double a)
    {
        x = a;
    }

    public void Ygir(double b)
    {
        y = b;
    }

    public void Zgir(double c)
    {
        x = c;
    }

    public double Xoku()
    {
        return x;
    }

    public double Yoku()
    {
        return y;
    }

    public double Zoku()
    {
        return z;
    }

    public String toString()
    {
        return "["+x+","+y+","+z+"]";
    }
}
